- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TopologyRefiner::AdaptiveOptions Struct Reference

Adaptive refinement options. More...

`#include <topologyRefiner.h>`

## Public Member Functions
| AdaptiveOptions (int level)

## Public Attributes
unsigned int | isolationLevel:4
unsigned int | useSingleCreasePatch:1
unsigned int | orderVerticesFromFacesFirst:1

## Detailed Description

Adaptive refinement options.

Definition at line 133 of file topologyRefiner.h.

## Constructor & Destructor Documentation

AdaptiveOptions | ( | int | level | ) |
| inline

Definition at line 135 of file topologyRefiner.h.

## Member Data Documentation

unsigned int isolationLevel

Number of iterations applied to isolate extraordinary vertices and creases

Definition at line 141 of file topologyRefiner.h.

unsigned int orderVerticesFromFacesFirst

Order child vertices from faces first instead of child vertices of vertices

Definition at line 141 of file topologyRefiner.h.

unsigned int useSingleCreasePatch

Use 'single-crease' patch and stop isolation where applicable

Definition at line 141 of file topologyRefiner.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyRefiner.h